Subject: Re: [PATCH v3 07/13] ci: fix setup of custom path for GitLab CI

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 11 Apr 2024 12:26:43 +0200

On Thu, Apr 11, 2024 at 06:06:05AM -0400, Eric Sunshine wrote:
> On Thu, Apr 11, 2024 at 5:10 AM Patrick Steinhardt <[email-masked]> wrote:
> > Part of "install-dependencies.sh" is to install some binaries required
> > for tests into a custom directory that gets added to the PATH. This
> > directory is located at "$HOME/path" and thus depends on the current
> > user that the script executes as.
> >
> > This creates problems for GitLab CI, which installs dependencies as the
> > root user, but runs tests as a separate, unprivileged user. As their
> > respective home directories are different, we will end up using two
> > different custom path directories. Consequently, the unprivileged user
> > will not be able eto find the binaries that were setu up as root user.
> 
> s/eto/to/
> s/setu/setup/

Ugh. Well, to my excuse, my keyboard is a bit wonky recently.

> > Fix this issue by allowing CI to override the custom path, which allows
> > GitLab to set up a constant value that isn't derived from "$HOME".
> > ---
> 
> Missing sign-off.

Indeed. Sorry, I'm somewhat distracted today.

Patrick